Package it.ernytech.tdlib

## Class TdApi.UserFullInfo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.UserFullInfo

Enclosing class:
  TdApi

    public static class TdApi.UserFullInfo
    extends TdApi.Object

Contains full information about a user (except the full list of profile photos).

### Field Summary

Fields
`java.lang.String` `bio` A short user bio.
`TdApi.BotInfo` `botInfo` If the user is a bot, information about the bot; may be null.
`boolean` `canBeCalled` True, if the user can be called.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `groupInCommonCount` Number of group chats where both the other user and the current user are a member; 0 for the current user.
`boolean` `hasPrivateCalls` True, if the user can't be called due to their privacy settings.
`boolean` `isBlocked` True, if the user is blacklisted by the current user.
`java.lang.String` `shareText` For bots, the text that is included with the link when users share the bot.

### Constructor Summary

Constructors
`UserFullInfo()` Default constructor.
`UserFullInfo​(boolean isBlocked, boolean canBeCalled, boolean hasPrivateCalls, java.lang.String bio, java.lang.String shareText, int groupInCommonCount, TdApi.BotInfo botInfo)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### isBlocked

    public boolean isBlocked

True, if the user is blacklisted by the current user.

#### canBeCalled

    public boolean canBeCalled

True, if the user can be called.

#### hasPrivateCalls

    public boolean hasPrivateCalls

True, if the user can't be called due to their privacy settings.

#### bio

    public java.lang.String bio

A short user bio.

#### shareText

    public java.lang.String shareText

For bots, the text that is included with the link when users share the bot.

#### groupInCommonCount

    public int groupInCommonCount

Number of group chats where both the other user and the current user are a member; 0 for the current user.

#### botInfo

    public TdApi.BotInfo botInfo

If the user is a bot, information about the bot; may be null.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UserFullInfo

    public UserFullInfo()

Default constructor.

#### UserFullInfo

    public UserFullInfo​(boolean isBlocked,
                        boolean canBeCalled,
                        boolean hasPrivateCalls,
                        java.lang.String bio,
                        java.lang.String shareText,
                        int groupInCommonCount,
                        TdApi.BotInfo botInfo)

Constructor for initialization of all fields.

Parameters:
  `isBlocked` - True, if the user is blacklisted by the current user.
  `canBeCalled` - True, if the user can be called.
  `hasPrivateCalls` - True, if the user can't be called due to their privacy settings.
  `bio` - A short user bio.
  `shareText` - For bots, the text that is included with the link when users share the bot.
  `groupInCommonCount` - Number of group chats where both the other user and the current user are a member; 0 for the current user.
  `botInfo` - If the user is a bot, information about the bot; may be null.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR